Skip to main content
POST

Authorizations

Authorization
string
header
required

Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.

Headers

Content-Type
string
default:application/json
required

Request body type

Body

application/json
page
number
required

Page number.

Starts From: 1

Required range: x >= 1
limit
number
required

Number of domains per page.

Minimum: 10 Maximum: 100

Required range: 10 <= x <= 100

Part of the domain name. Not case sensitive.

Maximum string length: 255
status
enum<string>

Only return domains with this status.

Available options:
verified,
not_verified,
failed
sort_field
enum<string>

Sort by this field.

Default: created_at

Available options:
created_at,
domain
sort_order
enum<string>

Sort order.

Default: desc (newest first)

Available options:
asc,
desc

Response

OK

data
object[]
count
number

Total number of domains that match (all pages)